html{
    font-size: 14px;
}

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 32px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
    padding: 5px 8px;
}

.slider.round:before {
    border-radius: 50%;
}

.slider.round .label-left{
    float: left;
    display: inline-block;
    color: #efefef;
}

.slider.round .label-right{
    float: right;
    display: inline-block;
    color: #093658;
}

/* Global Loading */
#GlobalLoading500{
    background: rgb(88 88 88 / 79%);
    height: 100vh;
    position: fixed;
    text-align: center;
    top: 0;left: 0;
    width: 100%;
    z-index: 99999999999;
}
@media only screen and (min-width: 600px) {
    #GlobalLoading500 > .loading_container {
        background: rgb(255 255 255 / 90%);
        border-radius: 4px;
        font-size: 1.5em;
        min-height: 10vh;
        margin: 30vh 5%;
        padding: 20px;
        min-width: 90%;
    }
}
@media only screen and (min-width: 1000px) {
    #GlobalLoading500 > .loading_container {
        background: rgb(255 255 255 / 90%);
        border-radius: 4px;
        font-size: 1.5em;
        min-height: 10vh;
        margin: 30vh 20%;
        padding: 20px;
        min-width: 60%;
    }
}
@media only screen and (min-width: 1600px) {
    #GlobalLoading500 > .loading_container {
        background: rgb(255 255 255 / 90%);
        border-radius: 4px;
        font-size: 1.5em;
        min-height: 10vh;
        margin: 30vh 40%;
        padding: 20px;
        min-width: 20%;
    }
}
#GlobalLoading500>.loading_container>.text{
    padding-top: 1em;
}
/**
 Estilos para datatable
 */
div.dataTables_wrapper div.dataTables_length select {
    width: 6em!important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
    padding: 0!important;
    margin: 0!important;
    border: none!important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button:active {
    outline: none!important;;
    background: none!important;
    box-shadow: unset!important;;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background: white !important;
    color: white !important;
    border: 1px solid #939393!important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    border: none!important;
}

/*Estilos datatable de SavPaginator.*/
div.dataTables_wrapper div.dataTables_paginate {
    margin-top: 10px;
}

.dataTables_wrapper .dataTables_paginate .paginate-button {
    color: #fff !important;
    background-color: #007bff !important;
    border-color: #007bff !important;
    padding: 0.5rem 0.75rem !important;
    cursor: pointer !important;
    margin-inline: 3px !important;
}

.dataTables_wrapper .dataTables_paginate .paginate-button.current {
    background-color: #0351a6 !important;
}

.dataTables_wrapper .dataTables_paginate .paginate-button:hover {
    background-color: #026adc !important;
}

.dataTables_wrapper .dataTables_paginate .paginate-button.previous,
.dataTables_wrapper .dataTables_paginate .paginate-button.previous:hover,
.dataTables_wrapper .dataTables_paginate .paginate-button.previous:active {
    color: #6c757d !important;
    background-color: #fff !important;
    padding: 0.5rem 0.75rem !important;
    border: 1px solid #dee2e6 !important;
    cursor: pointer !important;
}

.dataTables_wrapper .dataTables_paginate .paginate-button.next,
.dataTables_wrapper .dataTables_paginate .paginate-button.next:hover,
.dataTables_wrapper .dataTables_paginate .paginate-button.next:active {
    color: #6c757d !important;
    background-color: #fff !important;
    padding: 0.5rem 0.75rem;
    border: 1px solid #dee2e6 !important;
    cursor: pointer !important;
}
